Skip to main content

Approve a bounty submission

Approve a bounty submission. Optionally specify a custom reward amount.
1 min read
post/bounties/{bountyId}/submissions/{submissionId}/approve
Request example
Response
post/bounties/{bountyId}/submissions/{submissionId}/approve

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Path parameters

bountyIdstringrequired#
The ID of the bounty
submissionIdstringrequired#
The ID of the bounty submission

Body

application/json
rewardAmountnumber#
The reward amount for the performance-based bounty. Applicable if the bounty reward amount is not set.

Responses

application/json
The approved bounty submission.
idstringrequired#
The ID of the bounty submission
bountyIdstringrequired#
The ID of the bounty
partnerIdstringrequired#
The ID of the partner
descriptionstringrequired#
The description of the submission
urlsstring[]required#
The URLs submitted for the submission
filesobject[]required#
The files uploaded for the submission
Show child attributes
urlstringrequired#
The URL of the uploaded file.
fileNamestringrequired#
The original file name.
sizenumberrequired#
The file size in bytes.
statusenum<string>required#
The status of the submission
Options:draftsubmittedapprovedrejected
performanceCountnumberrequired#
The performance count of the submission
socialMetricCountintegerrequired#
The social metric count (views or likes) for the social content

Range: -9007199254740991–9007199254740991

socialMetricsLastSyncedAtstring#
The date and time the submission's social metrics were last synced
createdAtstringrequired#
The date and time the submission was created
completedAtstringrequired#
The date and time the submission was completed
reviewedAtstringrequired#
The date and time the submission was reviewed
rejectionReasonstringrequired#
The reason for rejecting the submission
rejectionNotestringrequired#
The note for rejecting the submission
periodNumberintegerrequired#
The period number for this submission (1-indexed)

Range: 1–9007199254740991